Bug 809516 - The "View Group Definition" column in Alert Definitions report does not take you to the alert def
The "View Group Definition" column in Alert Definitions report does not take ...
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Core UI (Show other bugs)
4.3
Unspecified Unspecified
medium Severity low (vote)
: ---
: ---
Assigned To: Mike Thompson
Mike Foley
:
Depends On:
Blocks: rhq-uxd
  Show dependency treegraph
 
Reported: 2012-04-03 10:59 EDT by John Sanda
Modified: 2013-09-01 15:19 EDT (History)
2 users (show)

See Also:
Fixed In Version: 4.4.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-09-01 15:19:50 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description John Sanda 2012-04-03 10:59:09 EDT
Description of problem:
If you have a group alert definition and go to the alert definitions report, you will see that definition listed for each resource in the group. In the parent column, it says, "View Group Definition". When you click on the column however, it takes you to the summary page for the group, not the details view for the alert definition. 

If there is an alert definition created from an alert definition template, the parent column will say "View Template". Clicking on it takes you to the alert definition template details as expected.

Version-Release number of selected component (if applicable):


How reproducible:
always

Steps to Reproduce:
1. Create a compatible group with at least one member.
2. Create a group alert definition.
3. Go to the Reports section in the top-level nav.
4. Click on Alert Definitions in the Subsystems section in the upper left.
5. A row should appear for each member in the group (in addition to any other alert definitions you have defined)
6. Click where it says, "View Group Definition"
  
Actual results:
I am sent to the group summary view but the displayed url in the browser is correct. It looks like <RHQ_HOST>:7080/coregui/#ResourceGroup/10001/Alerts/Definitions/10011.

Expected results:
I should be sent to the alert def details view.

Additional info:
Comment 1 Mike Thompson 2012-04-17 18:53:16 EDT
master commit: 2e5ddb291eb1100e3b7d674ff806c0147165488f

I fixed the "View Group Definition" link on the Alert Definition reports page as it was incorrectly going to the Summary page for the group. I was also careful not to break the "View Template" links from Alert Definition templates.
Comment 2 Heiko W. Rupp 2013-09-01 15:19:50 EDT
Bulk closing of BZs that have no target version set, but which are ON_QA for more than a year and thus are in production for a long time.

Note You need to log in before you can comment on or make changes to this bug.